Index: /extensions/see_photos_by_user/maintain.inc.php
===================================================================
--- /extensions/see_photos_by_user/maintain.inc.php	(revision 30402)
+++ /extensions/see_photos_by_user/maintain.inc.php	(revision 30403)
@@ -1,41 +1,37 @@
 <?php
 
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!defined('PHPWG_ROOT_PATH'))
+    die('Hacking attempt!');
 
-function plugin_activate()
-{
+function plugin_activate() {
 
-global $conf;
+    global $conf;
 
-if (!isset($conf['see_photos_by_user_nbphotos']))
- {
- conf_update_param('see_photos_by_user_nbphotos', '0');
- }
-if (!isset($conf['see_photos_by_user_limit']))
- {
- conf_update_param('see_photos_by_user_limit', '1000');
- }
-if (!isset($conf['see_photos_by_user_order']))
- {
- conf_update_param('see_photos_by_user_order', 'username ASC');
- }
-if (!isset($conf['see_photos_by_user_show']))
- {
- conf_update_param('see_photos_by_user_show', '1');
- }
+    if (!isset($conf['see_photos_by_user_nbphotos'])) {
+        conf_update_param('see_photos_by_user_nbphotos', '0');
+    }
+    if (!isset($conf['see_photos_by_user_limit'])) {
+        conf_update_param('see_photos_by_user_limit', '1000');
+    }
+    if (!isset($conf['see_photos_by_user_order'])) {
+        conf_update_param('see_photos_by_user_order', 'username ASC');
+    }
+    if (!isset($conf['see_photos_by_user_show'])) {
+        conf_update_param('see_photos_by_user_show', '1');
+    }
+    if (!isset($conf['see_photos_by_user_color'])) {
+        conf_update_param('see_photos_by_user_color', '#ffffff');
+    }
 }
 
-function plugin_install()
-{	
+function plugin_install() {
 }
 
-function plugin_uninstall()
-{	
-conf_delete_param('see_photos_by_user_nbphotos');
-conf_delete_param('see_photos_by_user_limit');
-conf_delete_param('see_photos_by_user_order');
-conf_delete_param('see_photos_by_user_show');
+function plugin_uninstall() {
+    conf_delete_param('see_photos_by_user_nbphotos');
+    conf_delete_param('see_photos_by_user_limit');
+    conf_delete_param('see_photos_by_user_order');
+    conf_delete_param('see_photos_by_user_show');
+    conf_delete_param('see_photos_by_user_color');
 }
-
-
 ?>
Index: /extensions/see_photos_by_user/menubar_users.tpl
===================================================================
--- /extensions/see_photos_by_user/menubar_users.tpl	(revision 30402)
+++ /extensions/see_photos_by_user/menubar_users.tpl	(revision 30403)
@@ -1,8 +1,8 @@
-<dt>{'Users'|@translate}</dt>
+<dt><a href = "{$USERSSPBY}">{'Users'|@translate}</a></dt>
 <dd>
  <ul>
   {foreach from=$userslistemenu1 item=userslistemenu}
   <li>
-  <a href = "{$USERSSPBY}{$userslistemenu.USERSSPBYL}">{$userslistemenu.USERSSPBYL} <span class="menuInfoCat">[{$userslistemenu.USERSSPBYLC}]</span></a><br>
+  <a href = "{$USERSSPBY}{$userslistemenu.USERSSPBYLID}-{$userslistemenu.USERSSPBYL}">{$userslistemenu.USERSSPBYL} <span class="menuInfoCat">[{$userslistemenu.USERSSPBYLC}]</span></a><br>
   </li>
   {/foreach}
Index: /extensions/see_photos_by_user/pagespba.php
===================================================================
--- /extensions/see_photos_by_user/pagespba.php	(revision 30402)
+++ /extensions/see_photos_by_user/pagespba.php	(revision 30403)
@@ -1,123 +1,152 @@
 <?php
-load_language('plugin.lang', SPBA_PATH);
-
 global $page, $conf, $user, $template;
 
-$testa = explode('user-', $_SERVER['REQUEST_URI']); 
-if (!empty ($testa[1]))
-{
-$testd= explode('/', $testa[1]);
-$me = 'user-'.$testd[0];
-$page['section'] = $me;
-$page['section_title'] =  '<a href="'.get_absolute_root_url().'">'.l10n('Home').'</a>'.$conf['level_separator']. '<a href="'.get_absolute_root_url().'index.php?/'.$me.'">'.l10n('Users').'-'.$testd[0].'</a>';
+ /*test URL*/
 
-$query = '
-SELECT id, username
- FROM ' . USERS_TABLE . '
- WHERE username = \''.$testd[0].'\'
-;';
-$result = pwg_query($query);
-$row = pwg_db_fetch_assoc($result);
-$coutantuser = $row['id'];
-  $template->assign(
-    'gestionB',
-    array(
-      'USERUSBU' => $testd[0],
-      ));
+$testa = explode('user-', $_SERVER['REQUEST_URI']);
+if(!empty($testa[1])){
+    $testd = explode('-', $testa[1]);
+    if(is_numeric($testd[0])){
+        
+        $username= see_username($testd[0]);
+        
+        
+        $me = 'user-' . $testd[0].'-'.$username;
+        
+        $page['section'] = $me;
+        $page['section_title'] = '<a href="' . get_absolute_root_url() . '">' . l10n('Home') . '</a>' . $conf['level_separator'] . '<a href="' . get_absolute_root_url() . 'index.php?/user-">' . l10n('Users').'</a>'. $conf['level_separator'] . '<a href="' . get_absolute_root_url() . 'index.php?/' . $me . '">'.$username. '</a>';
 
-$query = '
-SELECT DISTINCT(id)
- FROM '.IMAGES_TABLE.'
- INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON id = ic.image_id
- '.get_sql_condition_FandF
-  (
-    array
-      (
-        'forbidden_categories' => 'category_id',
-        'visible_categories' => 'category_id',
-        'visible_images' => 'id'
-      ),
-    'WHERE'
-  ).'
- AND added_by = \''.$row['id'].'\'
- '.$conf['order_by'].'
-;';
-$page = array_merge
-(
- $page,
- array
- (
-'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'.$me.'</a>',
-'items' => array_from_query($query, 'id'),
- )
-);
-}
-else
-{
-$me = 'user-';
-$page['section'] = $me;
-$page['section_title'] =  '<a href="'.get_absolute_root_url().'">'.l10n('Home').'</a>'.$conf['level_separator']. '<a href="'.get_absolute_root_url().'index.php?/'.$me.'">'.l10n('Users').'</a>';
+        $template->assign(
+          'gestionB', array(
+          'USERUSBU' => $username,
+        ));
+
+        $query = '
+        SELECT DISTINCT(id)
+         FROM ' . IMAGES_TABLE . '
+        INNER JOIN ' . IMAGE_CATEGORY_TABLE . ' AS ic ON id = ic.image_id
+        ' . get_sql_condition_FandF
+                        (
+                        array
+                    (
+                    'forbidden_categories' => 'category_id',
+                    'visible_categories' => 'category_id',
+                    'visible_images' => 'id'
+                        ), 'WHERE'
+                ) . '
+        AND added_by = \'' . $testd[0] . '\'
+        ' . $conf['order_by'] . '
+        ;';
+        $page = array_merge
+                (
+                $page, array
+            (
+            'title' => '<a href="' . duplicate_index_url(array('start' => 0)) . '">' . $me . '</a>',
+            'items' => array_from_query($query, 'id'),
+                )
+        );
+    }else{
+        show_users_cloud();
+    }
+}else{
+    show_users_cloud();
 }
 $showSPBU = $conf['see_photos_by_user_show'];
+/*fin gestion URL*/
 
-if (in_array($showSPBU, array(1,2,3,5)))
-{
+function show_users_cloud(){
+    /*users cloud*/
+// template vars
+    global $page, $conf, $user, $template;
+    
+     $me = 'user-';
+    $page['section'] = $me;
+    $page['section_title'] = '<a href="' . get_absolute_root_url() . '">' . l10n('Home') . '</a>' . $conf['level_separator'] . '<a href="' . get_absolute_root_url() . 'index.php?/' . $me . '">' . l10n('Users') . '</a>';        
+    
+$template->assign(
+   'gestionC', array(
+    'SPBA_PATH'=> get_root_url() . SPBA_PATH,
+  ));
+
+ $userslistecloud1 = pwg_query('
+SELECT UT.id, UT.username, COUNT(DISTINCT(IT.id)) AS PBU
+ FROM ' . USERS_TABLE . ' as UT
+ INNER JOIN ' . IMAGES_TABLE . ' AS IT ON IT.added_by = UT.id
+ INNER JOIN ' . IMAGE_CATEGORY_TABLE . ' AS ic ON IT.id = ic.image_id
+  ' . get_sql_condition_FandF
+                    (
+                    array
+                (
+                'forbidden_categories' => 'category_id',
+                'visible_categories' => 'category_id',
+                'visible_images' => 'id'
+                    ), 'WHERE'
+            ) . '
+ GROUP BY IT.added_by
+ HAVING PBU >' . $conf['see_photos_by_user_nbphotos'] . '
+ ORDER BY ' . $conf['see_photos_by_user_order'] . '
+ LIMIT ' . $conf['see_photos_by_user_limit'] . ';');
+
+    if (pwg_db_num_rows($userslistecloud1)) {
+        while ($userslistecloud = pwg_db_fetch_assoc($userslistecloud1)) {
+            $items = array(
+                'USERSSPBYLID' => $userslistecloud['id'],
+                'USERSSPBYL' => $userslistecloud['username'],
+                'USERSSPBYLC' => $userslistecloud['PBU'],
+                'USERSSPBYCOLOR' => $conf['see_photos_by_user_color'],
+            );
+
+            $template->append('userslistecloud1', $items);
+        }
+    }
+    $linkusersliste = get_root_url() . 'index.php?/user-';
+    $template->assign('USERSSPBY', $linkusersliste);
+
+}
+
+
+/*select box*/
+if (in_array($showSPBU, array(1, 2, 3, 5))) {
 //read auteur list
-$groups = array();
+    $groups = array();
+    $result = see_userlist_nb_photo();
 
-$query = '
-SELECT UT.id, UT.username, COUNT(DISTINCT(IT.id)) AS PBU, IT.id
- FROM ' . USERS_TABLE . ' as UT
- INNER JOIN '.IMAGES_TABLE.' AS IT ON IT.added_by = UT.id
- INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON IT.id = ic.image_id
-  '.get_sql_condition_FandF
-  (
-    array
-      (
-        'forbidden_categories' => 'category_id',
-        'visible_categories' => 'category_id',
-        'visible_images' => 'id'
-      ),
-    'WHERE'
-  ).'
- GROUP BY IT.added_by
- HAVING PBU >'.$conf['see_photos_by_user_nbphotos'].'
- ORDER BY '.$conf['see_photos_by_user_order'].'
- LIMIT '.$conf['see_photos_by_user_limit'].';';
+    while ($row = pwg_db_fetch_assoc($result)) {
+        $groups[$row['id']] = $row['username'] . ' (' . $row['PBU'] . ')';
+    }
+    $selected = 0;
+    if (empty($testd[0])) {
+        $options['b'] = l10n('select user');
+    } else {
+        $options['b'] = l10n('select other user');
+    }
+    $options['a'] = '----------------------';
 
-$result = pwg_query($query);
+    foreach ($groups as $metalist => $metalist2) {
+        $options[$metalist] = $metalist2;
+    }
+    $template->assign(
+            'gestionA', array(
+        'OPTIONS' => $options,
+        'SELECTED' => $selected
+    ));
 
-while ($row = pwg_db_fetch_assoc($result))
- {
-  $groups[$row['username']] = $row['username'].' ('.$row['PBU'].')';
-}
-  $selected = 0;
-  if (empty ($testd[0]))
-	{$options[] = l10n('select user');}
- else
-  {$options[] = l10n('select other user');}
-	$options['a'] = '----------------------';
-
-  foreach ($groups as $metalist => $metalist2)
-	{
-   $options[$metalist] = $metalist2;
-	}
-  $template->assign(
-    'gestionA',
-    array(
-      'OPTIONS' => $options,
-      'SELECTED' => $selected
-      ));
-	
-if (isset($_POST['submitchoixauteur']))
- {
- $redirect_url = get_root_url().'index.php?/user-'.($_POST['metalist']);
- redirect($redirect_url);
- }
-
-$template->assign('SPBA2', 'toto');
-$template->set_filename('SPBA', realpath(SPBA_PATH.'pagespba.tpl'));
-$template->assign_var_from_handle('CONTENT', 'SPBA'); //2.6
-//$template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEGIN', 'SPBA'); //2.5
+    if (isset($_POST['submitchoixauteur'])) {
+        $redirect_url = get_root_url() . 'index.php?/user-';
+        if(is_numeric($_POST['metalist'])){
+         $query = '
+    SELECT id, username
+    FROM ' . USERS_TABLE . '
+    WHERE id = \'' . $_POST['metalist'] . '\'
+    ;';
+        $result = pwg_query($query);
+        $row = pwg_db_fetch_assoc($result);
+        $username = $row['username'];
+        
+        $redirect_url .=($_POST['metalist']).'-'.$username;
+             }
+        redirect($redirect_url);
+    }
+    
 }
 ?>
Index: /extensions/see_photos_by_user/pagespba.tpl
===================================================================
--- /extensions/see_photos_by_user/pagespba.tpl	(revision 30402)
+++ /extensions/see_photos_by_user/pagespba.tpl	(revision 30403)
@@ -1,8 +1,27 @@
 {if isset ($gestionA)}
- <form method="post" >
-  {html_options name="metalist" options=$gestionA.OPTIONS selected=$gestionA.SELECTED}<input class="submit" name="submitchoixauteur" type="submit" value="{'submit'|@translate}"/>
- </form>
+    <form method="post" >
+        {html_options name="metalist" options=$gestionA.OPTIONS selected=$gestionA.SELECTED}<input class="submit" name="submitchoixauteur" type="submit" value="{'submit'|@translate}"/>
+    </form>
 {/if}
+
 {if isset ($gestionB)}
-<h1>{'User'|@translate} {$gestionB.USERUSBU}</h1>
+    <h1>{'User'|@translate} {$gestionB.USERUSBU}</h1>
 {/if}
+
+{if isset ($gestionC)}
+    {combine_script id='jquery.tagcanvas' require="jquery" load='footer' path=$gestionC.SPBA_PATH|@cat:"js/jquery.tagcanvas.min.js"}
+    {combine_script id='jquery.see' load='footer' path=$gestionC.SPBA_PATH|@cat:"js/see.js"}
+    <h1>{'select user'|@translate}</h1>
+<div id="myCanvasContainer">
+     
+ <canvas width="600" height="300" id="myCanvas">
+   <ul>
+    {foreach from=$userslistecloud1 item=userslistecloud}
+        <li>
+            <a href = "{$USERSSPBY}{$userslistecloud.USERSSPBYLID}-{$userslistecloud.USERSSPBYL}">{$userslistecloud.USERSSPBYL} <span data-color="{$userslistecloud.USERSSPBYCOLOR}" data-weight="{$userslistecloud.USERSSPBYLC}" class="menuInfoCat seepbu">[{$userslistecloud.USERSSPBYLC}]</span></a><br>
+        </li>
+     {/foreach}
+  </ul>
+ </canvas>
+</div>
+{/if}
